Extending Qt Creator Manual | ConvertToNumber

Extending Qt Creator Manual 4.3.0

# ConvertToNumber Class

(QmlJS::ConvertToNumber)

Inherits: | QmlJS::ValueVisitor (protected)

- List of all members, including inherited members

## Public Functions

| ConvertToNumber(ValueOwner *valueOwner)
const Value * | operator()(const Value *value)

- 11 public functions inherited from QmlJS::ValueVisitor

## Protected Functions

const Value * | switchResult(const Value *value)

## Member Function Documentation

### ConvertToNumber::ConvertToNumber(ValueOwner *valueOwner)

Default constructs an instance of ConvertToNumber.

### `[protected]` const Value *ConvertToNumber::switchResult(const Value *value)

### const Value *ConvertToNumber::operator()(const Value *value)